Imports DevExpress.XtraBars.Docking
Imports DevExpress.XtraEditors.Controls
Imports DevExpress.XtraGrid

Public Class frmSearch
    Private Sub frmSearch_Load(sender As Object, e As EventArgs) Handles Me.Load

        Dim oList As New List(Of String) From {"Marvin", "Marlon", "Annette", "Jan", "Jonathan", "Vladimir", "Armin"}

        For Each oMember In oList
            Dim oItem As New ImageListBoxItem(oMember, oMember)

            ImageListBoxControl1.Items.Add(oItem)
        Next
    End Sub

    Public Overrides Function GetInitialPanels() As List(Of PanelInfo)
        Dim oList = MyBase.GetInitialPanels()
        Dim oPanel = New DocumentPanel()
        Dim oData As DataTable

        My.Channel.CreateDatabaseRequest("Get Users", False)
        oData = My.Channel.ReturnDatatable("SELECT * FROM VWIDB_USER").Table
        My.Channel.CloseDatabaseRequest()

        oList.Add(New PanelInfo(oPanel, DockingStyle.Bottom, oData) With {
            .CanBeClosed = False
        })

        Return oList
    End Function
End Class